on *:LOAD:{
  echo ::::::::::::::::::::::::::::::Welcome to HelpDesk SystemX 1.0b::::::::::::::::::::::::::::::::::::::::
  echo :::::::::::::::::::::::::::::::::::The solution to disorganized Help Channels:::::::::::::::::::::::::
  echo ::::::::::::::::::::::::::Don't forget to read the readme.txt file::::::::::::::::::::::::::::::::::::
  set %helpbotnick $$?="Enter HelpBot Nick"
  set %helpchan $$?="Channel name"
}
menu nicklist {
  Quick Options
  .Voice:/mode # +v $$1
  .Devoice:/mode # -v $$1
  .Kick:{ KICK # $$1 $$?="Kick Message" }
  .Ban:{ /timer 1 $$?="Ban Length" /mode # -b $address($$1,3) | mode # +b $address($$1,3) | KICK # $$?="Kick Message" }
  .Ban/Kick:{ cs aop %helpchan $$?="" $$1 | KICK # $$1 | mode # -b $address($$1,3) }
  .Kick (Preset Msgs)
  ..No Question:/timer 1 5 /mode # -b $address($$1,3) | /mode # +b $address($$1,3) | /kick # $$1 Please return when you have a question.
  ..Finish Idle:/timer 1 5 /mode # -b $address($$1,3) | /mode # +b $address($$1,3) | /kick # $$1 Please come back when you have another question.
  ..Gone Silent:/timer 1 5 /mode # -b $address($$1,3) | /mode # +b $address($$1,3) | /kick # $$1 Please return when you are ready to continue receiving help.
  Exception List
  .Add:/set %hbexceptions %hbexceptions $$1
}
menu channel,menubar {
  HelpDesk Options
  .Set -V ( $+ %inline $+ ):/set %inline $$?="Number of People Waiting"
  .Set Channel ( $+ %helpchan $+ ):/set %helpchan $$?="Channel Name"
  .Set HelpBot Nick ( $+ %helpbotnick $+ ):/set %helpbotnick $$?="Enter HelpBot Nick"
}
on *:text:!next:?:{
  if ($nick isop %helpchan) && (%nextil != $null) {
    privmsg $nick %nextil is next in line.
  }
  if ($nick isop %helpchan) && (%nextil == $null) {
    privmsg $nick No one is next in line.
  }
}
on *:text:!vhold*:?:{
  if ($nick isop %helpchan) && ($2 ison %helpchan) && ($2 isvoice %helpchan) {
    auser w $2-
    mode %helpchan -v $2
    set %onhold. $+ $2 $nick
  }
}
on w:text:!back*:?:{
  privmsg $nick Thank you, the assistants will continue to help you as soon as possible.
  privmsg %onhold. [ $+ [ $nick ] ] $nick has returned and is ready to continue the help session.
}
on *:text:menu:?:{
  privmsg $nick To get info about the following topics while you wait, PM the topic's number to me.  To see this menu at any time, PM the word 'menu'.
  privmsg $nick  1) [Put a catagory here]; 2) [Put a catagory here]; 3) [Put a catagory here]; 4) [Put a catagory here]
}
on *:text:1:?:{
  privmsg $nick Type the number of the question you request a answer to:
  privmsg $nick 5) [Put a Question here]
}
on *:text:2:?:{
  privmsg $nick Type the number of the question you request a answer to:
  privmsg $nick 6) [Put a Question here]
}
on *:text:3:?:{
  privmsg $nick Type the number of the question you request a answer to:
  privmsg $nick 7) [Put a Question here]
}
on *:text:4:?:{
  privmsg $nick Type the number of the question you request a answer to:
  privmsg $nick 8) [Put a Question here]
}
on *:text:5:?:{
  privmsg $nick [Put a message here]
}
on *:text:6:?:{
  privmsg $nick [Put a message here]
}
on *:text:7:?:{
  privmsg $nick [Put a message here]
}
on *:text:8:?:{
  privmsg $nick [Put a message here]
}

on *:join:#:{
  if  ($nick isin %hbexceptions) || ($nick == %helpbotnick) || ($nick isop %helpchan) { halt }
  else {
    auser h $nick
    inc %inline
    set %newjoin $nick
    notice $nick Welcome to the HelpDesk $nick $+ . Your estimated waiting time is $duration($calc(%inline * 120)) $+ . Number of people waiting for assistance: %inline
    notice $nick To get info about the following topics while you wait, PM the topic's number to me.  To see this menu at any time, PM the word 'menu'.
    notice $nick  1) [Put a catagory here]; 2) [Put a catagory here]; 3) [Put a catagory here]; 4) [Put a catagory here]
    echo -a $nick has entered %helpchan $+ .
    write inline.txt $nick
    msghelp
  }
}
on 1:part:#:{ write -ds $+ $nick inline.txt }
on w:part:#:{
  ruser w $nick
  unset %onhold. $+ $nick
}
on d:part:#:{ ruser d $nick }
on h:part:#:{
  if ($nick != $read(inline.txt,1)) {
    write -ds $+ $nick inline.txt
    dec %inline
    ruser h $nick
    halt
  }
  if ($nick == $read(inline.txt,1)) {
    write -ds $+ $nick inline.txt
    dec %inline
    ruser h $nick
    nextinline
    halt
  }
}
on 1:quit:{ write -ds $+ $nick inline.txt }
on w:quit:{
  ruser w $nick
  unset %onhold. $+ $nick
}
on d:quit:{ ruser d $nick }
on h:quit:{
  if ($nick != $read(inline.txt,1)) {
    write -ds $+ $nick inline.txt
    dec %inline
    ruser h $nick
    halt
  }
  if ($nick == $read(inline.txt,1)) {
    write -ds $+ $nick inline.txt
    dec %inline
    ruser h $nick
    nextinline
    halt
  }
}
on 1:op:#:{ write -ds $+ $opnick inline.txt }
on w:op:#:{
  ruser w $opnick
  unset %onhold. $+ $opnick
}
on d:op:#:{ ruser d $opnick }
on h:op:#:{
  if ($opnick != $read(inline.txt,1)) {
    write -ds $+ $opnick inline.txt
    dec %inline
    ruser h $opnick
    auser a $opnick
    halt
  }
  if ($opnick == $read(inline.txt,1)) {
    write -ds $+ $opnick inline.txt
    dec %inline
    ruser h $opnick
    auser a $opnick
    nextinline
    halt
  }
}
on 1:text:!FAQ:?:{
  if ($nick != %helpbotnick) {
    PRIVMSG $nick Here is a list of Faq's.
  }
}
on 1:NICK:{ write -ds $+ $nick inline.txt }
on w:NICK:{
  ruser w $nick
  auser w $newnick
  unset %onhold. $+ $nick
  set %onhold. $+ $newnick
}
on d:NICK:{ ruser d $nick | auser d $newnick }
on h:NICK:{
  if ($nick != $read(inline.txt,1)) {
    write -ds $+ $nick inline.txt
    dec %inline
    ruser h $nick
    KICK %helpchan $newnick No nick changes in %helpchan
    halt
  }
  if ($nick == $read(inline.txt,1)) {
    write -ds $+ $nick inline.txt
    dec %inline
    nextinline
    ruser h $nick
    KICK %helpchan $newnick No nick changes in %helpchan
    halt
  }
}
on 1:voice:#:{ write -ds $+ $vnick inline.txt }
on h:voice:#:{
  echo good
  write -ds $+ $vnick inline.txt
  set %vnick $vnick
  ruser h $vnick
  auser d $vnick
  dec %inline
  nextinline
  notice $vnick $vnick $+ , the assistants are ready to help you.
  msg %helpchan Hello $vnick $+ , Welcome to the Empires Legacy HelpDesk. Thanks for waiting patiently. How may we help you today?
  halt
}
on w:voice:#:{
  notice $vnick $vnick $+ , the assistants are ready to help you again.
  ruser w $vnick
  auser d $vnick
  unset %onhold. $+ $vnick
}
on d:devoice:#:{
  if ($vnick $+ $chr(44) isin %hbexceptions) || ($vnick isop %helpchan) || ($nick == %helpbotnick) {
    halt
  }
  else {
    ruser d $vnick
    privmsg %helpchan Thank you, $vnick $+ , for using the HelpDesk. We hope that the information we provided has been helpful. Have a wonderful day!
    notice $vnick If you have any further questions, feel free to return.
    halt
  }
}
on w:devoice:#:{
  privmsg $vnick Your assistant has decided to put you on hold. This could be because you are absent from the HelpBot Channel. When you have returned or you are finish with you activity, please PM HelpBot !back. ( You can say !back in this window )
  notice $nick Please read the PM from HelpBot by clicking the Orange Highlighted Box or the Red Highlighted Box above or below this channel window.
}
on 1:kick:#:{ write -ds $+ $knick inline.txt }
on h:kick:#:{
  if ($knick != $read(inline.txt,1)) {
    write -ds $+ $knick inline.txt
    ruser h $knick
    dec %inline
    halt
  }
  if ($knick == $read(inline.txt,1)) {
    write -ds $+ $knick inline.txt
    ruser h $knick
    dec %inline
    nextinline
    halt
  }
}
on d:kick:#:{ ruser d $knick }
alias jecho {
  echo -a People waiting to be helped in %helpchan $+ : %inline
}
on *:text:!version:?:{
  privmsg $nick Welcome to HelpDesk SystemX 1.0b by aIDmiN_X_ (theendx@hotmail.com)
}
alias nextinline {
  if ($null != $read(inline.txt,1)) {
    set %nextil $read(inline.txt,1)
    privmsg %helpchan Next in line is %nextil $+ . Please have your question ready for the operator.
  }
  if ($null == $read(inline.txt,1)) {
    unset %nextil
  }
}
alias msghelp { 
  set %i $nick(%helpchan,0) | :next | if $nick(%helpchan,%i) != $me && $nick(%helpchan,%i) isop %helpchan privmsg $nick(%helpchan,%i) A new user has joined HelpDesk. Please assist them as soon as possible. ( $+ %newjoin $+ ) %kr | dec %i | if %i > 0 goto next
}
on *:LOAD:{
  Don't forget to read the readme.txt file.
  set %helpbotnick $$?="Enter HelpBot Nick"
  set %helpchan $$?="Channel name"
}
